import { ComplexBase } from '@syncfusion/ej2-react-base';
import { MultiLevelCategoriesModel } from '@syncfusion/ej2-charts';
/**
 * `CategoryDirective` directive represent a trendline of the react chart.
 * It must be contained in a Chart component(`ChartComponent`).
 * ```tsx
 * <ChartComponent>
 * <AxesDirective>
 * <AxisDirective>
 * <MultiLevelLabelsDirective>
 * <MultiLevelLabelDirective>
 * <CategoriesDirective>
 * <CategoryDirective>
 * </CategoryDirective>
 * </CategoriesDirective>
 * </MultiLevelLabelDirective>
 * </MultiLevelLabelsDirective>
 * </AxisDirective>
 * </AxesDirective>
 * </ChartComponent>
 * ```
 */
export declare class CategoryDirective extends ComplexBase<MultiLevelCategoriesModel & {
    children?: React.ReactNode;
}, MultiLevelCategoriesModel> {
    static moduleName: string;
}
export declare class CategoriesDirective extends ComplexBase<{}, {}> {
    static propertyName: string;
    static moduleName: string;
}
