import { ComplexBase } from '@syncfusion/ej2-react-base';
import { MultiLevelLabelsModel } from '@syncfusion/ej2-charts';
/**
 * `MultiLevelLabelDirective` directive represent a multilevellabel of the react chart.
 * It must be contained in a Chart component(`ChartComponent`).
 * ```tsx
 * <ChartComponent>
 * <AxesDirective>
 * <AxisDirective>
 * <MultiLevelLabelsDirective>
 * <MultiLevelLabelDirective></MultiLevelLabelDirective>
 * </MultiLevelLabelsDirective>
 * </AxisDirective>
 * </AxesDirective>
 * </ChartComponent>
 * ```
 */
export declare class MultiLevelLabelDirective extends ComplexBase<MultiLevelLabelsModel & {
    children?: React.ReactNode;
}, MultiLevelLabelsModel> {
    static moduleName: string;
}
export declare class MultiLevelLabelsDirective extends ComplexBase<{}, {}> {
    static propertyName: string;
    static moduleName: string;
}
